0

quick one, im using snapd quite heavily although I need to use some features available on newer versions of the snapd manager. (see https://forum.snapcraft.io/t/wip-refresh-app-awareness/10736)

The latest available on Raspberry Pi OS (by simply apt install snapd) is 2.37, although that's kind of out of out of date now.

Iv been unable to find anywhere how to update to a more recent version, surely I can just add an updated repository somewhere and then re-apt install, but im unsure if there simply isnt a newer Rpi version.

Does anyone know how to upgrade to a newer version? Im currently on the latest buster OS.

2
  • Buster comes with a suite of interoperable software versions. People adding incompatible versions often come to grief.
    – joan
    Nov 8 '20 at 1:16
  • So in other words, just leave it were it is?
    – Cheyne
    Nov 8 '20 at 6:49
0

Just install a newer core snap on top of your older snapd. See snap on debian I found the solution inside the snapcraft forum. snapd outdated

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.